Bug 97695 - Build fails with recent toolchain
Build fails with recent toolchain
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: httpd (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 09:11 EDT by Enrico Scholz
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-07 04:07:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2003-06-19 09:11:53 EDT
Description of problem:

$ rpm --rebuild httpd-2.0.45-10.src.rpm
...
/bin/sh /usr/src/redhat/BUILD/httpd-2.0.45/prefork/shlibtool --silent --mode=link gcc ...  mod_access.lo
/usr/src/redhat/BUILD/httpd-2.0.45/prefork/shlibtool: /usr/src/redhat/BUILD/httpd-2.0.45/prefork/shlibtool: No such file or directory
make[4]: *** [mod_access.la] Error 127
make[4]: Leaving directory `/var/volatile/rpm/BUILD/httpd-2.0.45/prefork/modules/aaa'
make[3]: *** [shared-build-recursive] Error 1
make[3]: Leaving directory `/var/volatile/rpm/BUILD/httpd-2.0.45/prefork/modules/aaa'
make[2]: *** [shared-build-recursive] Error 1
make[2]: Leaving directory `/var/volatile/rpm/BUILD/httpd-2.0.45/prefork/modules'
make[1]: *** [shared-build-recursive] Error 1
make[1]: Leaving directory `/var/volatile/rpm/BUILD/httpd-2.0.45/prefork'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.27282 (%build)
    Bad exit status from /var/tmp/rpm-tmp.27282 (%build)


Version-Release number of selected component (if applicable):

automake-1.7.5-1
autoconf-2.57-3
libtool-1.5-3
Comment 1 Joe Orton 2003-06-19 09:18:56 EDT
Yes, known issues with libtool-1.5.
Comment 2 Joe Orton 2003-07-07 04:07:54 EDT
This should be fixed with the latest apr/apr-util/httpd packages.  Thanks for
the report.
Comment 3 jehan procaccia 2004-03-19 12:37:27 EST
This isn't fixed for me, anyone resolved it ?
Here's my config:
Red Hat Linux release 9 (Shrike)
apr-0.9.3-12
apr-util-0.9.3-10
libtool-1.5-5
httpd-2.0.40-21.9.src.rpm

I got the error:
/usr/src/redhat/BUILD/httpd-2.0.40/prefork/shlibtool: No such file or
directory

details:

[root@corbeau /usr/src/redhat/BUILD/httpd-2.0.40/prefork/modules/aaa]
$ /bin/sh /usr/src/redhat/BUILD/httpd-2.0.40/prefork/shlibtool
--silent --mode=link gcc  -pthread -DNO_DBM_REWRITEMAP  -O2 -g -pipe
-march=i386 -mcpu=i686 -I/usr/kerberos/include  -DLINUX=2 -D_REENTRANT
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE
-DAP_HAVE_DESIGNATED_INITIALIZER  
-I/usr/src/redhat/BUILD/httpd-2.0.40/prefork/srclib/apr/include
-I/usr/src/redhat/BUILD/httpd-2.0.40/srclib/apr/include
-I/usr/src/redhat/BUILD/httpd-2.0.40/prefork/srclib/apr-util/include
-I/usr/src/redhat/BUILD/httpd-2.0.40/srclib/apr-util/include -I.
-I/usr/src/redhat/BUILD/httpd-2.0.40/modules/aaa
-I/usr/src/redhat/BUILD/httpd-2.0.40/prefork/os/unix
-I/usr/src/redhat/BUILD/httpd-2.0.40/os/unix
-I/usr/src/redhat/BUILD/httpd-2.0.40/prefork/server/mpm/prefork
-I/usr/src/redhat/BUILD/httpd-2.0.40/server/mpm/prefork
-I/usr/src/redhat/BUILD/httpd-2.0.40/prefork/modules/http
-I/usr/src/redhat/BUILD/httpd-2.0.40/modules/http
-I/usr/src/redhat/BUILD/httpd-2.0.40/prefork/modules/proxy
-I/usr/src/redhat/BUILD/httpd-2.0.40/modules/proxy
-I/usr/src/redhat/BUILD/httpd-2.0.40/prefork/modules/filters
-I/usr/src/redhat/BUILD/httpd-2.0.40/modules/filters
-I/usr/src/redhat/BUILD/httpd-2.0.40/prefork/include
-I/usr/src/redhat/BUILD/httpd-2.0.40/include -I/usr/include/openssl
-I/usr/src/redhat/BUILD/httpd-2.0.40/modules/dav/main -export-dynamic
-L/usr/local/openssl/lib -lssl -lcrypto       -o mod_access.la -rpath
/usr/lib/httpd/modules -module -avoid-version  mod_access.lo
/usr/src/redhat/BUILD/httpd-2.0.40/prefork/shlibtool:
/usr/src/redhat/BUILD/httpd-2.0.40/prefork/shlibtool: No such file or
directory
Comment 4 Joe Orton 2004-03-19 12:39:57 EST
That's somewhere half-way between RHL9 and FC1: it won't work.  Either
rebuild all the FC1 packages (apr/apr-util-0.9.4, httpd-2.0.47/8) on
RHL9, or stick to using the RHL9 packages on RHL9.

Note You need to log in before you can comment on or make changes to this bug.